Bug 625393 - adjust test_commands unit test to the updated output of the ls command
Summary: adjust test_commands unit test to the updated output of the ls command
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dave Malcolm
QA Contact: Petr Šplíchal
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 10:10 UTC by Petr Šplíchal
Modified: 2016-06-01 01:40 UTC (History)
1 user (show)

Fixed In Version: python-2.6.6-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 11:36:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0554 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2011-05-19 11:35:29 UTC

Description Petr Šplíchal 2010-08-19 10:10:19 UTC
Description of problem:

The unit test test_commands fails because the updated output of
the ls command now contains an extra dot character for SELinux
context. Patch available at http://bugs.python.org/issue7108

Version-Release number of selected component (if applicable):
python-2.6.5-3.el6.x86_64

Steps to Reproduce:
regrtest.py test_commands.py
  
Dave Malcolm's comment from BZ#583931:
https://bugzilla.redhat.com/show_bug.cgi?id=583931#c14

I'm investigating the failures listed in comment #6, with
python-2.6.5-3.el6.x86_64.

test_commands:
  Not a bug in my opinion: due to a change in the output of ls with SELinux
(http://bugs.python.org/issue7108):
    ======================================================================
    FAIL: test_getstatus (__main__.CommandTests)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "/usr/lib64/python2.6/test/test_commands.py", line 60, in
test_getstatus
        self.assert_(re.match(pat, getstatus("/."), re.VERBOSE))
    AssertionError

    ----------------------------------------------------------------------
    Ran 2 tests in 0.020s

    FAILED (failures=1)

Comment 5 errata-xmlrpc 2011-05-19 11:36:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html

Comment 6 errata-xmlrpc 2011-05-19 13:07:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0554.html


Note You need to log in before you can comment on or make changes to this bug.